Get Current User

Retrieve the current user's information including ID, name, and email address.

GET
/api/webhooks/zapier/user/me

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication for Zapier API access

In: header

Query Parameters

org_id*string

Organization ID

user_id*string

User ID

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://webhooks.sophiie.ai/api/webhooks/zapier/user/me?org_id=org_1234&user_id=usr_1234"
{
  "id": 123,
  "userEmail": "john.doe@acme.com",
  "orgName": "Acme Corp"
}
{
  "success": false,
  "message": "invalid_token",
  "error": {
    "status": 401,
    "message": "invalid_token"
  }
}
{
  "success": false,
  "message": "User not found",
  "error": {
    "status": 404,
    "message": "User not found"
  }
}
{
  "success": false,
  "message": "Oops! Something went wrong",
  "error": {
    "status": 500,
    "message": "Oops! Something went wrong"
  }
}